Summary:	XF86DRI extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86DRI
Name:		xorg-proto-xf86driproto
Version:	2.1.1
Release:	2
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-%{version}.tar.bz2
# Source0-md5:	1d716d0dac3b664e5ee20c69d34bc10e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XF86DRI (XFree86 Direct Rendering Infrastructure) extension defines a
protocol to allow user applications to access the video hardware
without requiring data to be passed through the X server.

%description -l pl.UTF-8
Rozszerzenie XF86DRI (XFree86 Direct Rendering Infrastructure)
definiuje protokół pozwalający aplikacjom użytkownika na dostęp do
sprzętu wyświetlającego obraz bez potrzeby przekazywania danych
poprzez serwer X.

%package devel
Summary:	XF86DRI extension headers
Summary(pl.UTF-8):	Pliki nagłówkowe rozszerzenia XF86DRI
Group:		X11/Development/Libraries
Requires:	libdrm-devel
Requires:	xorg-proto-xproto-devel

%description devel
XF86DRI (XFree86 Direct Rendering Infrastructure) extension defines a
protocol to allow user applications to access the video hardware
without requiring data to be passed through the X server.

%description devel -l pl.UTF-8
Rozszerzenie XF86DRI (XFree86 Direct Rendering Infrastructure)
definiuje protokół pozwalający aplikacjom użytkownika na dostęp do
sprzętu wyświetlającego obraz bez potrzeby przekazywania danych
poprzez serwer X.

%prep
%setup -q -n xf86driproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/xf86dri*.h
%{_pkgconfigdir}/xf86driproto.pc
%changelog
* Wed May 06 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-proto-xf86driproto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d2b3f67
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f1f66a3
- dropped pre-cvs changelog

* Fri Jan 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 560986a
- updated to 2.1.1

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 2742777
- util-macros version

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e707ab
- up to 2.1.0

* Sat Apr 12 2008 Jakub Bogusz <qboosh@pld-linux.org> c4ab3d7
- updated to 2.0.4; no longer requires glproto
- descs fix: XF86DRI is an extension

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 19bc0df
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3d4a1ed
- converted to UTF-8

* Sun Oct 15 2006 Paweł Sikora <pluto@pld-linux.org> 3e7bf27
- release 2.

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> d19fc4a
- use individual dir

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> f4b9094
- release 1.

* Fri Dec 23 2005 Jakub Bogusz <qboosh@pld-linux.org> bdd39ed
- 2.0.3 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 4096490
- 2.0.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 16d3f8f
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 1629603
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 24a241c
- 2.0.1 (X11R7.0-RC1)
- R: xorg-proto-glproto-devel, libdrm-devel

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 329a28a
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> a2abb8b
- s/pkg-config/pkgconfig/ in BR:

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 94a9418
- cleanups

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d32bd4
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

